package com.zj365.health.adapter.psychological

import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.ruffian.library.widget.RImageView
import com.xty.base.adapter.BaseAdapter
import com.xty.common.setImage
import com.xty.network.model.PsychologicalListBean
import com.zj365.health.R

class PsychologicalTestMainAdapter : BaseAdapter<PsychologicalListBean.PsychologicalBean>(R.layout.item_psychokogical_test) {
    override fun convert(holder: BaseViewHolder, item: PsychologicalListBean.PsychologicalBean) {
        holder.setText(R.id.tv_psy,item.surveyName)
        holder.getView<RImageView>(R.id.img_psy).setImage(context,item.imageUrl)
    }
}